Bug 76718 - Random Number Fill - add the checkbox option to "generate integer only"
Summary: Random Number Fill - add the checkbox option to "generate integer only"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-28 04:31 UTC by zaxebo zaxebo
Modified: 2014-07-27 04:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zaxebo zaxebo 2014-03-28 04:31:13 UTC
POINT 1:
-------
In "Edit"->"Fill"->"Random Number"->
   random number generation should be given one more checkbox option of "filling cells with random INTEGERS ONLY, between supplied minimum and maximum value".
  This can be done by using the inbuilt function of RANDBETWEEN()  , which is available in libreoffice.
        refer:  http://www.get-digital-help.com/2013/07/05/excel-randbetween-and-rand-functions-how-to-generate-random-numbers-and-text/

POINT 2:
-------
  In the current random number generation dialog box, it can also be enhanced for limiting the number of decimal places in generated number. Ask from the user, how many decimal places he wants in the generated numbers.
Comment 1 A (Andy) 2014-03-28 20:25:21 UTC
Regarding the second point I would agree this seems for me to be a good enhancement.

Regarding the first point, I thought that this is already implemented if you select "Uniform Integer" in the field DISTRIBUTION.  Do this already resolve your first issue or is there maybe a misunderstanding from my side?
Comment 2 Tomaz Vajngerl 2014-03-28 20:31:51 UTC
Changed component to Spreadsheet as ux-advice is when an advice from ux team is needed, which is not the case here.
Comment 3 zaxebo zaxebo 2014-03-31 22:40:49 UTC
Your suggestion solves my POINT number (1).
Now only POINT number (2) remains to be implemented(that is, limiting the number of decimal places in generated number. )
Comment 4 zaxebo zaxebo 2014-04-02 16:27:50 UTC
       point number (1) is resolved. 
       ONLY POINT NUMBER (2) NEEDS TO BE IMPLEMENTED. 
Is there any else information, which needs to be given from my side? Should the status of this bug be changed from "NEEDINFO" to something else?
Comment 5 Commit Notification 2014-05-15 18:17:00 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2067d03f8ad7e58ae0ac1387a51858f012e8c7f1

fdo#76718 Rounding for "fill > random number.." option



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.